smartptr.h File Reference
`#include <ptlib.h>`
`#include <ptlib/object.h>`

Go to the source code of this file.

## Classes

class | PSmartObject
| This is the base class for objects that use the smart pointer system. More...
class | PSmartPointer
| This is the class for pointers to objects that use the smart pointer system. More...
class | PSmartPtr< T >
| This template class creates a type safe version of PSmartPointer. More...